# QInputContextFactory Class Reference

### [com.trolltech.qt.gui package]

### Constructor

- void QInputContextFactory()

### Constructor Properties

- prototype: The QInputContextFactory prototype object
- QInputContext create(String key, QObject parent)
- String description(String key)
- String displayName(String key)
- List keys()
- List languages(String key)

### Instance Properties

QInputContextFactory objects have no special properties beyond those inherited from the QInputContextFactory prototype object.